package com.ankitagarwal.test.log4jonjboss;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

@WebServlet("/Log4JOnJBoss")
public class Log4JOnJBoss extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private static final Logger LOGGER = Logger.getLogger(Log4JOnJBoss.class);

	public Log4JOnJBoss() {
		super();
	}

	private Logger getLogger() {
		return Log4JOnJBoss.LOGGER;
	}

	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {

		Logger logger = this.getLogger();

		logger.debug("Test message for application log file.");
		logger.info(String.format("The JBoss Server logs directory is: %s",
				System.getProperty("jboss.server.log.dir")));
	}

	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		this.doGet(request, response);
	}
}
